QGIS Application - Bug report #4595
Adding an image to layout cause qgis crash

2011-12-02 02:11 AM - alberto collatin

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler
Category:

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?:
Easy fix?:
Resolution:

No
No
fixed

Copied to github as #: 14500

Description

it's my first bug report so if I've not done it in the right way please tell me. Thanks.

opening QGIS from a terminal:

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_US]

On a new empy project: new print composer-> add image-> item --> selection of an svg -> qgis crash

Warning: QLayout: Attempting to add QLayout " to QgsBrowserDockWidget ", which already has a layout
Warning: QColor::setNamedColor: Unknown color name 'param(fill) #6c7be1’
Warning: QColor::

setNamedColor

: Unknown color name 'character_n'

Fatal: ASSERT: "lisEmpty()" in file /usr/include/qt4/QtCore/qlist.h, line 274
Annullato

CPU: Intel® Atom™ 330 @ 1.60GHz x 2
Graphic Chipset:Intel® 945G x86/MMX/SSE2
OS: Ubuntu 11.10

QGIS version: 1.9.90-Alpha

Qt:4.7.4

History

#1 - 2011-12-02 02:14 AM - Giovanni Manghi
- Category set to 33

- Assignee set to Marco Hugentobler

- Priority changed from Normal to 6

- Target version set to Version 1.7.3

- Must fix set to yes

Confirmed here, same OS and QGIS version.

#2 - 2011-12-02 07:24 AM - alberto collatin

Seems that manually adding in settings->options->rendering->svg paths /usr/share/qgis/svg/ resolve the problem
#3 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#4 - 2011-12-22 08:05 AM - Jiirgen Fischer

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version set to master

#5 - 2011-12-23 09:07 AM - Giovanni Manghi

- Status changed from Open to Feedback
- Priority changed from 6 to Normal

Selecting a SVG image that is not part of the QGIS library (so no manual path added) using the "load" options, is not causing any crash on qgis-master on

Ubuntu 11.10. Please try update, test again and report back, eventually adding the offending svg symbol and then report back.

Tested also with qgis-master under windows/osgeo4w.
#6 - 2012-01-04 05:11 AM - alberto collatin

No more problems with updated master. Thanks.

#7 - 2012-01-28 02:04 PM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to fixed
